VisualEditor: There is not preview of edit summaries (which are wikitext) - show it in the wikitext diff?
Closed, ResolvedPublic

Description

The current VisualEditor interface has a "Save page" dialog box with an edit summary input field. However, this edit summary input field accepts wikitext, but has no preview feature for what the rendered wikitext will look like. This is a regression from the standard (non-VisualEditor) interface.

Roan said that there be a mini-editor or mini-parser or something stuck in the edit summary area at some point.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=60535

bzimport set Reference to bz42139.
MZMcBride created this task.Via LegacyNov 15 2012, 5:34 AM
Jdforrester-WMF added a comment.Via ConduitNov 15 2012, 10:20 PM

As Max says, to be resolved by the dialog being a mini-VE surface.

Jdforrester-WMF added a comment.Via ConduitJul 10 2013, 6:27 PM
  • Bug 51125 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitJul 10 2013, 6:30 PM

Per bug 51125 (which has been merged into this one), we should show the edit summary if provided in the "Review your changes" tab

Thryduulf added a comment.Via ConduitJul 10 2013, 7:07 PM

User:Elizium23 at en.wp comments that the current save dialog "permits entry of an edit summary with newlines, however, no newlines are preserved in the edit summary when it is saved to the Wiki. This is confusing, because I just used a WYSIWYG editor, but what I see in the edit summary is not what I get."

While, AIUI, the current dialog is only temporary the issue of newlines (and presumably bold, italic, etc) will be applicable to the new "surface" unless that doesn't permit these features or edit summaries are upgraded to support them.

Thryduulf added a comment.Via ConduitSep 30 2013, 12:54 PM
  • Bug 53729 has been marked as a duplicate of this bug. ***
Krenair added a comment.Via ConduitFeb 10 2014, 2:33 PM

(In reply to comment #1)

As Max says, to be resolved by the dialog being a mini-VE surface.

So this has been assigned to me but I think I need a few pointers. Firstly, where can I find the code for mini-surfaces?

Jdforrester-WMF added a comment.Via ConduitFeb 10 2014, 5:26 PM

To clarify, when the diff is shown ('Review your changes' dialog pane) we want to parse the entered summary and display it, probably above the diff.

gerritbot added a comment.Via ConduitFeb 10 2014, 6:36 PM

Change 112490 had a related patch set uploaded by Alex Monk:
Show preview of edit summary in review screen

https://gerrit.wikimedia.org/r/112490

gerritbot added a comment.Via ConduitFeb 19 2014, 11:07 PM

Change 112490 merged by jenkins-bot:
Show preview of edit summary in review screen

https://gerrit.wikimedia.org/r/112490

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.